[git commit] fix install.sh
Denys Vlasenko
vda.linux at googlemail.com
Mon Apr 4 01:53:23 UTC 2011
commit: http://git.busybox.net/busybox/commit/?id=12140e607cad045a41aaeb2ea54d4d9938645f4a
branch: http://git.busybox.net/busybox/commit/?id=refs/heads/master
Signed-off-by: Bernhard Reutner-Fischer <rep.dot.nop at gmail.com>
Signed-off-by: Denys Vlasenko <vda.linux at googlemail.com>
---
applets/install.sh | 16 ++++++++++------
1 files changed, 10 insertions(+), 6 deletions(-)
diff --git a/applets/install.sh b/applets/install.sh
index 32049b1..8f449d6 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -74,12 +74,12 @@ for i in $h; do
echo "#!/bin/busybox" > $prefix$i
chmod +x $prefix/$i
fi
- echo " $prefix$i"
+ echo " $prefix/$i"
else
if [ "$2" = "--hardlinks" ]; then
bb_path="$prefix/bin/busybox"
else
- case "$appdir" in
+ case "/$appdir" in
/)
bb_path="bin/busybox"
;;
@@ -92,17 +92,21 @@ for i in $h; do
/usr/bin|/usr/sbin)
bb_path="../../bin/busybox"
;;
+ /root) # root/linuxrc (?!)
+ bb_path="bin/busybox"
+ i=$(basename $i)
+ ;;
*)
echo "Unknown installation directory: $appdir"
exit 1
;;
esac
fi
- if [ "$noclobber" = "0" ] || [ ! -e "$prefix$i" ]; then
- echo " $prefix$i -> $bb_path"
- ln $linkopts $bb_path $prefix$i || exit 1
+ if [ "$noclobber" = "0" ] || [ ! -e "$prefix/$i" ]; then
+ echo " $prefix/$i -> $bb_path"
+ ln $linkopts $bb_path $prefix/$i || exit 1
else
- echo " $prefix$i already exists"
+ echo " $prefix/$i already exists"
fi
fi
done
--
1.7.3.4
More information about the busybox-cvs
mailing list